Bug 138322 - missing return statement
missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 03:41 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 23:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-08 03:41:47 EST
Description of problem:

I just tried to compile package xemacs-21.4.15-8 from 
Redhat Fedora Core 3 Test 3.

The compiler said

regex.c(1863): remark #1011: missing return statement at end of
non-void function "regex_grow_registers"

Suggest change return type of the function to void.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jens Petersen 2004-11-08 23:06:24 EST
Sorry, but these kinds of problems need to go upstream.
Please send a patch against emacs cvs HEAD to emacs-devel
list.  Cheers.
Comment 2 David Binderman 2004-11-09 04:15:55 EST
>Sorry, but these kinds of problems need to go upstream.

Seems reasonable to me. Am I correct in thinking you
are volunteering to send it on ?

>Please send a patch against emacs cvs HEAD to emacs-devel list.

Sorry, I don't have access to emacs cvs HEAD.

The most recent version of emacs I have is from FC3T3. 

Note You need to log in before you can comment on or make changes to this bug.